<?xml version="1.0" encoding="utf-8" ?>
<objects xmlns='http://www.springframework.net'
         xmlns:db="http://www.springframework.net/database"
         xmlns:tx="http://www.springframework.net/tx"
         xmlns:aop="http://www.springframework.net/aop">

  <!--Comum-->

  <object id="EnderecoRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.EnderecoRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="CidadeRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.CidadeRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="EstadoRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.EstadoRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true" />
  <object id="ParametroRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.ParametroRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <!---->

  <object id="UsuarioRepository" type="MicroUniverso.Dominio.Repositorio.Fenix.UsuarioRepository, MicroUniverso.Dominio.Repositorio.Fenix" singleton="true" />
  
  <object id="ModuloRepository" type="MicroUniverso.Dominio.Repositorio.Seguranca.ModuloRepository, MicroUniverso.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="UsuarioFuncionalidadeAcaoRepository" type="MicroUniverso.Dominio.Repositorio.Seguranca.UsuarioFuncionalidadeAcaoRepository, MicroUniverso.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="AcaoRepository" type="MicroUniverso.Dominio.Repositorio.Seguranca.AcaoRepository, MicroUniverso.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="FuncionalidadeRepository" type="MicroUniverso.Dominio.Repositorio.Seguranca.FuncionalidadeRepository, MicroUniverso.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="GridRepository" type="MicroUniverso.Seguranca.Dominio.Repositorio.GridRepository, MicroUniverso.Seguranca.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="UsuarioColunaGridRepository" type="MicroUniverso.Seguranca.Dominio.Repositorio.UsuarioColunaGridRepository, MicroUniverso.Seguranca.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="TokenUsuarioRepository" type="MicroUniverso.Seguranca.Dominio.Repositorio.TokenUsuarioRepository, MicroUniverso.Seguranca.Dominio.Repositorio.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

</objects>